import { connect, Dispatch } from 'react-redux';
import Member from '../api/model/Member';

import {
  SignUp,
  Props as SignUpProps,
  State as SignUpState,
} from './components/SignUp';
import State from '../redux/state/SignUp';

import * as signupActions from '../redux/action/signUp';


export function mapStateToProps(state: SignUpState): SignUpProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<SignUpState>): SignUpProps {
  return {
    onSignin: () => {
      return;
    },
    onSignup: (member: Member) => {
      dispatch(signupActions.request(member));
    },
    onResetPassword: () => {
      return;
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(SignUp);
